<div class="space-y-2">
  <p class="text-sm font-medium leading-6">{{name}}</p>

  <div class="flex items-center justify-between rounded-md border border-[#D1D5DB] px-3 py-1.5 shadow-sm" (click)="openDropdown = !openDropdown">
    <p class="text-sm leading-6 text-gray-400">{{ selectedItem?.name ?? '선택' }}</p>
    <figure><img [src]="openDropdown ? '/assets/icons/dropdown-btn2.svg' : '/assets/icons/dropdown-btn.svg'" alt="" /></figure>
  </div>

  @if(openDropdown){
    <div class="border border-gray-300 rounded-md shadow-sm">
      <div class="px-3 py-4">
        <ul class="space-y-1 px-1.5 text-xs font-medium leading-6 text-gray-700">
          @for (item of list; track $index) {
            <li  class="rounded-md px-3 py-1.5 hover:bg-[#4F46E526]" (click)="onSelected(item)">{{ item.name }}</li>
          }
          </ul>
      </div>
    </div>
  } 
</div>
